/*------------------------------------------------------------------------------------------< Fromulare >---*/

.btn a,
a.btn,
.back a,
button,
input.submit,
span.btn,
.mod_onepage_navigation a{
    display:inline-block;
    font-family: 'OpenSans_C_Bold';
    color:#fff;
    /* font-size:1.5rem; */
    /* line-height:1em; */
    height:2.5rem;
    text-transform: none;
    text-decoration:none !important;
    background-color:var(--c-green);
    border-radius:var(--br);
    padding:var(--btn-padding);
    text-align: center;
    border:1px solid var(--c-green);
    hyphens:auto;
    cursor: pointer;
}


.formbody button{
    font-size:inherit;
    height:2.5rem;
}

.formbody > fieldset{
    border:var(--line) solid var(--c-green);
    border-radius:var(--br);
    padding:1rem;
    margin-bottom:calc(var(--grid__gutter) * 2);
    transition:background-color var(--tt);
}

.mod_closeAccount .widget-submit,
.mod_lostPassword .widget-submit{
    margin-top:calc(var(--grid__gutter) * 2);
}

.formbody > fieldset:focus-within{
    background-color:rgba(0, 125, 64, .25);
}

.formbody > fieldset > legend{
    padding:0 .5rem;
    font-family:'OpenSans_C_Bold';
    color:var(--c-green);
}

.formbody input:focus,
textarea:focus{
    outline: var(--line) solid var(--c-green);
}




.formbody .widget:not(:last-child){
    margin-bottom:.5rem;
}

.formbody :where(.widget-text, .widget-select, .widget-textarea, .widget-password) label{
    font-size: var(--fs-small);
    display:block;
    padding-left:calc(1rem + 1px);
}

form p.error{
    background-color:tomato;
    padding:.5rem 1rem;
    margin-top:.5rem;
    font-size:var(--fs-small);
    border-radius:var(--br);
}

input.text,
select,
textarea{
    appearance: none;
    width:100%;
    padding:.5rem 1rem;
    border-radius: var(--br);
    border:1px solid var(--c-green);
    height:2.5rem;
    /* color:inherit; */
}

.checkbox_container label{
    display:inline-block;
}

textarea{
    height:10rem;
    resize: vertical;
}

.widget-checkbox label{
    padding-left:.5rem;
    font-size:1rem;
    display:inline;
}

/*------------------------------------------------------------------------------------------< Input Button Kombination >---*/

.mod_search .formbody,
.quantity_submit{
    display:flex;
    align-items:flex-end;
}

.mod_search .widget,
.quantity_submit .widget{
    margin-bottom:0 !important;
}

.mod_search input.text,
.quantity_submit input.text{
    border-radius: .75rem 0 0 .75rem;
}

.mod_search button,
.product input.submit{
    border-radius: 0 .75rem .75rem 0;
}